#
%define lib_major       1
%define lib_name        %mklibname %{name} %{lib_major}
%define lib_name_devel  %mklibname %{name} -d

Name:		libcerf
Version:	1.5
Release:	%mkrel 1
Source:		http://apps.jcns.fz-juelich.de/src/libcerf/%{name}-%{version}.tar.xz
Summary:	A library that complex error functions
Group:		System/Libraries
License:	MIT
Url:		http://apps.jcns.fz-juelich.de/libcerf
Patch0:		libcerf-1.5-fix-version.patch


%description
libcerf is a self-contained numeric library that provides an efficient and accurate implementation of 
complex error functions, along with Dawson, Faddeeva, and Voigt functions.

%package -n %{lib_name}
Summary:    A library that provides complex error functions
Group:      System/Libraries

%description -n %{lib_name}
libcerf is a self-contained numeric library that provides an efficient and accurate implementation of 
complex error functions, along with Dawson, Faddeeva, and Voigt functions.

%package -n %{lib_name_devel}
Summary:    Development headers and libraries for libcerf
Group:      Development/Libraries
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
libcerf is a self-contained numeric library that provides an efficient and accurate implementation of 
complex error functions, along with Dawson, Faddeeva, and Voigt functions.

This package contains development headers and libraries for libcerf

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x
%make

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{lib_name}
%defattr(-,root,root,0755)
%{_libdir}/libcerf.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libcerf.so
%{_libdir}/pkgconfig/libcerf.pc
%{_mandir}/man3/*
%doc %{_docdir}/libcerf

%changelog
* Tue Jan 03 2017 bb <bb> - 1.5-1pclos2017
- new version

* Wed Jun 24 2015 bb <bb> 1.4-2pclos2015
- fix rpm groups
- convert to pclos library format

* Sat Jun 06 2015 gseaman <galen.seaman at comcast.net> 1.4-1gseaman2015
- 1.4 from developers spec file
